org.apache.http.util

## Class Asserts

- java.lang.Object
- - org.apache.http.util.Asserts

-     public class Asserts
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Asserts()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `check(boolean expression, String message)`
    `static void` | `check(boolean expression, String message, Object... args)`
    `static void` | `notBlank(CharSequence s, String name)`
    `static void` | `notEmpty(CharSequence s, String name)`
    `static void` | `notNull(Object object, String name)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Asserts

          public Asserts()

  - ### Method Detail

    - #### check

          public static void check(boolean expression,
                   String message)

    - #### check

          public static void check(boolean expression,
                   String message,
                   Object... args)

    - #### notNull

          public static void notNull(Object object,
                     String name)

    - #### notEmpty

          public static void notEmpty(CharSequence s,
                      String name)

    - #### notBlank

          public static void notBlank(CharSequence s,
                      String name)

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.